import { Redis, Cluster, RedisOptions } from "ioredis";
import { QueueType } from "./utils";
import { Queue } from "bullmq";
import * as Bull from "bull";
import { Responders } from "./interfaces/responders";
import { Integration } from "./interfaces/integration";
export interface FoundQueue {
    prefix: string;
    name: string;
    type: QueueType;
}
export declare function getConnectionQueues(redisOpts: RedisOptions, clusterNodes?: string[]): Promise<FoundQueue[]>;
export declare function ping(redisOpts: RedisOptions, clusterNodes?: string[]): Promise<any>;
export declare function getRedisInfo(redisOpts: RedisOptions, clusterNodes?: string[]): Promise<any>;
export declare function getRedisClient(redisOpts: RedisOptions, type: "bull" | "bullmq", clusterNodes?: string[]): Cluster | Redis;
export declare function execRedisCommand(redisOpts: RedisOptions, cb: (client: Redis | Cluster) => any, clusterNodes?: string[]): Promise<any>;
export declare function createQueue(foundQueue: FoundQueue, redisOpts: RedisOptions, opts?: {
    nodes?: string[];
    integrations?: {
        [key: string]: Integration;
    };
}): {
    queue: Bull.Queue | Queue;
    responders: Responders;
};
