import * as Bull from "bull";
import { Queue } from "bullmq";
import { RedisOptions } from "ioredis";
import { FoundQueue } from "./queue-factory";
import { Responders } from "./interfaces/responders";
import { Integration } from "./interfaces/integration";
export declare const getCache: () => {
    [index: string]: {
        queue: Bull.Queue | Queue;
        responders: Responders;
    };
};
export declare function queueKey(queue: Omit<FoundQueue, "type">): string;
export declare function updateQueuesCache(redisOpts: RedisOptions, opts?: {
    nodes?: string[];
    integrations?: {
        [key: string]: Integration;
    };
}): Promise<FoundQueue[]>;
